#pragma once

#include <maps/wikimap/mapspro/libs/masstransit/ymapsdf_object_handler.h>

namespace maps::wiki::masstransit {

struct RoadConditions : public Object {
    Conditions conditions;
};

class YmapsdfRoadConditionsHandler : public YmapsdfObjectHandler {
public:
    explicit YmapsdfRoadConditionsHandler(Masstransit& masstransit);

private:
    std::string name() const override { return "condition"; }

    std::string loadIdsSql() const override;
    std::string loadRowsSqlTemplate() const override;

    void addObject(const pqxx::row& tuple) override;
};

Conditions& roadConditions(Masstransit& masstransit);

} // namespace maps::wiki::masstransit
